/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package proxybridgedecorator;

import proxybridgedecorator.obroci.Pica;
import proxybridgedecorator.obroci.SkampiSaBademom;
import proxybridgedecorator.obroci.Sladoled;
import proxybridgedecorator.obroci.Meni;
import proxybridgedecorator.formati.FormatMenia;

/**
 *
 * @author Igor
 */
public class KulinarskiTimRoma implements KeteringTim {

    private Meni elementimeni;
    private FormatMenia fm;

    public KulinarskiTimRoma(FormatMenia fm) {
        elementimeni = new Meni();
        this.fm = fm;
        this.fm.poveziSaMeniem(elementimeni);
    }

    public void kreirajPredjelo() {
        elementimeni.setPredjelo(new SkampiSaBademom());
    }

    public void kreirajGlavnoJelo() {
        elementimeni.setGlavnojelo(new Pica());

    }

    public void kreirajDezert() {
        elementimeni.setDezert(new Sladoled());
    }

    public String vratiMeni() {
        return fm.vratiFormatMenia();

    }
}
