/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package proxybridgedecoratorchainofresponsabilityobserver.handler;

import proxybridgedecoratorchainofresponsabilityobserver.klijent.LicniAsistent;

/**
 *
 * @author Igor
 */
public abstract class ZaposleniAgencijeOrganizacione {

    protected ZaposleniAgencijeOrganizacione zao;
    protected LicniAsistent la;
    protected String datumRok;

    public ZaposleniAgencijeOrganizacione(ZaposleniAgencijeOrganizacione zao) {
        this.zao = zao;
    }

    public void setLa(LicniAsistent la) {
        this.la = la;
    }

    public String getDatumRok() {
        return datumRok;
    }

    public String vratiPodatke() {
        String podaci = "";
        podaci = "\n" + vratiSvojePodatke();
        if (this.zao != null) {
            podaci = zao.vratiPodatke() + podaci;
        }
        return podaci;
    }

    protected abstract String vratiSvojePodatke();
    public abstract void proveriDatumRok();
}
