/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package proxybridgedecoratorchainofresponsabilityobservermediator.klijent;

import java.util.ArrayList;
import java.util.List;
import proxybridgedecoratorchainofresponsabilityobservermediator.server.KeteringTim;
import proxybridgedecoratorchainofresponsabilityobservermediator.dekorator.Komponenta;
import proxybridgedecoratorchainofresponsabilityobservermediator.handler.ZaposleniAgencijeOrganizacione;

/**
 *
 * @author Igor
 */
public class Klijent implements Komponenta {

    KeteringTim ktim;
    List <ZaposleniAgencijeOrganizacione> listaMenadzera;
    
    public Klijent(KeteringTim ktim) {
        this.ktim = ktim;
        listaMenadzera = new ArrayList<ZaposleniAgencijeOrganizacione>();  
    }

    public void prikaziMeni() {
        System.out.println(ktim.vratiMeni());
    }
    
    public void konstruisi() {

        ktim.kreirajPredjelo();
        ktim.kreirajGlavnoJelo();
        ktim.kreirajDezert();
    }
    
    public void dodajMenadzeraUListu(ZaposleniAgencijeOrganizacione zao){
        listaMenadzera.add(zao);
    }
    
    public void obavestiMenzadzereDaProvereDatum(){
        for (ZaposleniAgencijeOrganizacione zao : listaMenadzera) {
            zao.proveriDatumRok();
        }
    }
}
