/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package proxybridgedecoratorchainofresponsabilityobservermediator.server;

import proxybridgedecoratorchainofresponsabilityobservermediator.obroci.Pica;
import proxybridgedecoratorchainofresponsabilityobservermediator.obroci.Predjelo;
import proxybridgedecoratorchainofresponsabilityobservermediator.obroci.SkampiSaBademom;
import proxybridgedecoratorchainofresponsabilityobservermediator.obroci.Sladoled;
import proxybridgedecoratorchainofresponsabilityobservermediator.obroci.Meni;
import proxybridgedecoratorchainofresponsabilityobservemediator.formati.FormatMenia;
import proxybridgedecoratorchainofresponsabilityobservermediator.colleagueMediator.ClanKulinarskogTimaRoma;
import proxybridgedecoratorchainofresponsabilityobservermediator.colleagueMediator.SefKulinarskogTimaRoma;

/**
 *
 * @author Igor
 */
public class IgorBajovic extends ClanKulinarskogTimaRoma implements KeteringTim {

    private Meni elementimeni;
    private FormatMenia fm;

    // zna samo ko mu je sef, ne zna ko ce biti zaduzen za pravljenje obroka pored njega
    public IgorBajovic(SefKulinarskogTimaRoma sef1) {
        super(sef1);
        elementimeni = new Meni();
    }

    // on je specijalizovan za pravljenje predjela
    public void kreirajPredjelo() {
        elementimeni.setPredjelo(napraviPredjelo());
    }
    // on ne zna ko ce kreirati glavno jelo vec samo od sefa uzima to glavno jelo

    public void kreirajGlavnoJelo() {
        elementimeni.setGlavnojelo(sef.vratiGlavnoJelo());
    }
    // on ne zna ko ce kreirati dezert vec samo od sefa uzima to glavno jelo

    public void kreirajDezert() {
        elementimeni.setDezert(sef.vratiDezert());
    }

    // on koordinira ceo proces izrade menia i on ga spaja u celinu i vraca
    public String vratiMeni() {
        return fm.vratiFormatMenia();
    }

    public Predjelo napraviPredjelo() {
        return new SkampiSaBademom();
    }

    public void postaviFmIPoveziSaMeniem(FormatMenia fm) {
        this.fm = fm;
        this.fm.poveziSaMeniem(elementimeni);
    }
}
