/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package builderproxybridge;

import builderproxybridge.obroci.Pica;
import builderproxybridge.obroci.SkampiSaBademom;
import builderproxybridge.obroci.Sladoled;
import builderproxybridge.obroci.Meni;
import builderproxybridge.formati.FormatMenia;

/**
 *
 * @author Igor
 */
public class KulinarskiTimRoma implements KeteringTim {

    private Meni elementimeni;
    private FormatMenia fm;

    public KulinarskiTimRoma(FormatMenia fm) {
        elementimeni = new Meni();
        this.fm = fm;
        this.fm.poveziSaMeniem(elementimeni);

    }

    @Override
    public void kreirajPredjelo() {
        elementimeni.setPredjelo(new SkampiSaBademom());
    }

    @Override
    public void kreirajGlavnoJelo() {
        elementimeni.setGlavnojelo(new Pica());
    }

    @Override
    public void kreirajDezert() {
        elementimeni.setDezert(new Sladoled());
    }

    @Override
    public String vratiMeni() {
        return fm.vratiFormatMenia();
    }
}
