/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package proxybridgedecoratorchainofresponsabilityobserver.main;

import proxybridgedecoratorchainofresponsabilityobserver.dekorator.PricaItalijanskaKuhinja;
import proxybridgedecoratorchainofresponsabilityobserver.formati.*;
import proxybridgedecoratorchainofresponsabilityobserver.handler.*;
import proxybridgedecoratorchainofresponsabilityobserver.klijent.*;
import proxybridgedecoratorchainofresponsabilityobserver.server.*;
/**
 *
 * @author Igor
 */
public class Main {
    public static void main(String[] args) {
        Klijent klijent;
        
        MenadzerOrganizacijeProstora mop = new MenadzerOrganizacijeProstora(null);
        MenadzerOrganizacijeOsoblja moo = new MenadzerOrganizacijeOsoblja(mop);
        
        
       

        //kreiranje manija italijanske kuhinje standardnog formata
        FormatMenia fm1 = null;
        fm1 = new StandardniFormat();
        KulinarskiTimRoma ktroma = new KulinarskiTimRoma(fm1);
        KulinarskiTimItaliano ktitaliano = new KulinarskiTimItaliano(ktroma, moo);
        klijent = new Klijent(ktitaliano);
        klijent.konstruisi();
        PricaItalijanskaKuhinja itprica = new PricaItalijanskaKuhinja(klijent);
        itprica.prikaziMeni();

        System.out.println("\n----------------------------------------------------------------------------------------\n");

        //kreiranje manija italijanske kuhinje obrnutog formata za Japance
        FormatMenia fm2 = null;
        fm2 = new ObrnutiFormat();
        KulinarskiTimRoma ktroma2 = new KulinarskiTimRoma(fm2);
        KulinarskiTimItaliano ktitaliano2 = new KulinarskiTimItaliano(ktroma2, null);
        klijent = new Klijent(ktitaliano2);
        klijent.konstruisi();
        PricaItalijanskaKuhinja itprica2 = new PricaItalijanskaKuhinja(klijent);
        itprica2.prikaziMeni();

        System.out.println("\n---------------  Datum: --------------------");
        //**** observer patern ****
        LicniAsistent asistent = new LicniAsistent();
        // asisten odredjuje datum, on za sada jedini zna koji je to datum
        asistent.odrediDatum();
        // menadzeri dobijaju referencu na asistenta
        mop.setLa(asistent);
        moo.setLa(asistent); 
        // klijent sakuplja sve menadzere
        klijent.dodajMenadzeraUListu(moo);
        klijent.dodajMenadzeraUListu(mop);
        //klijent obavestava sve 'sakupljene' menadzere da pitaju asistenta za datum       
        klijent.obavestiMenzadzereDaProvereDatum();
        
        System.out.println("Menadzer organizacije osoblja je saznao datum do kad treba da zavrsi svoju obavezu:\n"+moo.getDatumRok());
        System.out.println("Menadzer organizacije prostora je saznao datum do kad treba da zavrsi svoju obavezu:\n"+mop.getDatumRok());

    }
}
